Bug 8460 - DoS и выполнение кода в libungif при обработке GIF файлов
: DoS и выполнение кода в libungif при обработке GIF файлов
Status: CLOSED FIXED
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/libungif)
: 2.4
: all Linux
: P2 major
Assigned To:
:
: http://www.securitylab.ru/vulnerabili...
:
:
:
  Show dependency tree
 
Reported: 2005-11-11 11:34 by
Modified: 2008-02-15 19:02 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-11-11 11:34:15
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в
обслуживании или выполнить произвольный код на целевой системе.

1. Ошибка разыменования нулевого указателя существует при обработке .gif
файлов.
Удаленный пользователь может вызвать отказ в обслуживании приложения.

2. Уязвимость обнаружена в файлах "gifalloc.c", "dgif_lib.c" и "egif_lib.c" при
обработке .gif изображений. Удаленный пользователь может выполнить произвольный
код на целевой системе.

Все приложения, которые используют уязвимую версию библиотеки libungif,
потенциально уязвимы.
------- Comment #1 From 2005-11-11 13:23:33 -------
Reassigned to placeholder account.
------- Comment #2 From 2008-02-15 19:02:28 -------
CVE-2005-2974, CVE-2005-3350 apparently fixed in updates/Master/2.4:

* Wed Nov 16 2005 Dmitry V. Levin <ldv@altlinux> 4.1.4-alt0.M24.1
- Rebuilt for ALM2.4.